Get configuration
curl --request GET \
--url https://api.livechatinc.com/v3.6/customer/action/get_configurationimport requests
url = "https://api.livechatinc.com/v3.6/customer/action/get_configuration"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.livechatinc.com/v3.6/customer/action/get_configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"buttons": [
{
"id": "0466ba53cb",
"type": "image",
"online_value": "livechat.s3.amazonaws.com/default/buttons/button_online007.png",
"offline_value": "livechat.s3.amazonaws.com/default/buttons/button_offline007.png"
},
{
"id": "08ca886ba8",
"type": "image",
"online_value": "livechat.s3.amazonaws.com/default/buttons/button_online003.png",
"offline_value": "livechat.s3.amazonaws.com/default/buttons/button_offline003.png"
},
{
"id": "3344e63cad",
"type": "text",
"online_value": "Live chat now",
"offline_value": "Leave us a message"
}
],
"ticket_form": {},
"prechat_form": {},
"integrations": {},
"properties": {
"group": {},
"license": {}
}
}Configuration
Get configuration
Returns the configuration of a given group in a given version. Contains data based on which the Chat Widget can be built.
GET
/
action
/
get_configuration
Get configuration
Query Parameters
Unique identifier of the organization.
The ID of the group that you want to get a configuration for.
The version that you want to get a configuration for. Returned from Get Dynamic Configuration as the config_version parameter.
Was this page helpful?
⌘I